.form-label {
    font-family: 'FuturaBookC';
    font-size: 15px;
    line-height: 20px;
    color: $color-text-second-opacity;
    
    @media (max-width: 1200px) {
        color: $primary-color-text-opacity;
    }

    &--types {
        color: $primary-color-text-opacity;
        margin-top: 45px;
    }

    &--dark {
        color: $primary-color-text-opacity;
    }
}

.form-input {
    font-family: 'FuturaBookC';
    font-size: 18px;
    line-height: 24px;
    color: $color-text-second;
    background: transparent;
    border: 0;
    border-bottom: 1px solid $color-text-second;

    @media (max-width: 1201px) {
        border-bottom: 1px solid $primary-color-text;
    }

    &::placeholder {
        font-family: 'FuturaBookC';
        font-size: 18px;
        line-height: 24px;
        color: $color-text-second;

        @media (max-width: 1201px) {
            font-size: 18px;
            line-height: 138.72%;
            color: $primary-color-text;
        }
    }

    &--dark {
        color: $primary-color-text;
        &::placeholder {
            color: $primary-color-text;
        }
    }
}

//agree
.agree {
    display: flex;
    justify-content: center;
    padding-top: 30px;
    color: $color-text-second-extra;

    @media (max-width: 1201px) {
        color: $primary-color-text;
    }

    @media (max-width: 561px) {
        justify-content: flex-start;
    }

    &--dark {
        color: $primary-color-text;
    }

    &--eclipse {
        color: $primary-color-text;
        justify-content: start;
    }

    .form-check {
        position: absolute;
        z-index: -1;
        opacity: 0;
    }

    .form-check+label {
        display: inline-flex;
        align-items: center;
        user-select: none;

        &::before {
            content: '';
            display: inline-block;
            width: 18px;
            height: 18px;
            border: 1px solid $color-text-second;
            margin-right: 10px;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 50% 50%;
            flex-shrink: 0;
            @media (max-width: 1201px) {
                border: 1px solid $primary-color-text;
            }
        }
    }

    .form-check:checked+label::before {
        border-color: $primary-color-text-extra;
        background-color: $primary-color-text-extra;
        background-image: url(/src/assets/svg/agree.svg);
    }
}